<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

// Set update info with file structure to update
$update_info = array(
	'version'	=> array('from' => '3.2.1', 'to' => '3.2.2-RC1'),
	'files'		=> array(
		'adm/style/acp_attachments.html',
		'adm/style/acp_ext_list.html',
		'adm/style/acp_prune_forums.html',
		'adm/style/acp_users.html',
		'adm/style/admin.css',
		'adm/style/installer_form.html',
		'adm/style/permission_mask.html',
		'assets/javascript/core.js',
		'assets/javascript/editor.js',
		'assets/plupload/plupload.full.min.js',
		'bin/phpbbcli.php',
		'composer.json',
		'composer.lock',
		'config/default/container/services_console.yml',
		'config/default/container/services_event.yml',
		'config/default/container/services_feed.yml',
		'config/default/container/services_text_formatter.yml',
		'download/file.php',
		'includes/acp/acp_attachments.php',
		'includes/acp/acp_bbcodes.php',
		'includes/acp/acp_board.php',
		'includes/acp/acp_language.php',
		'includes/acp/acp_profile.php',
		'includes/acp/acp_prune.php',
		'includes/acp/acp_styles.php',
		'includes/acp/acp_update.php',
		'includes/acp/acp_users.php',
		'includes/bbcode.php',
		'includes/constants.php',
		'includes/functions.php',
		'includes/functions_admin.php',
		'includes/functions_compatibility.php',
		'includes/functions_content.php',
		'includes/functions_display.php',
		'includes/functions_download.php',
		'includes/functions_mcp.php',
		'includes/functions_messenger.php',
		'includes/functions_posting.php',
		'includes/functions_user.php',
		'includes/mcp/mcp_queue.php',
		'includes/message_parser.php',
		'includes/questionnaire/questionnaire.php',
		'includes/ucp/ucp_notifications.php',
		'includes/ucp/ucp_pm_viewmessage.php',
		'includes/ucp/ucp_register.php',
		'index.php',
		'language/en/acp/board.php',
		'language/en/acp/forums.php',
		'language/en/acp/permissions_phpbb.php',
		'language/en/cli.php',
		'language/en/common.php',
		'language/en/viewforum.php',
		'memberlist.php',
		'phpbb/cache/driver/apcu.php',
		'phpbb/cache/driver/file.php',
		'phpbb/cache/driver/memcached.php',
		'phpbb/cache/driver/redis.php',
		'phpbb/console/command/extension/enable.php',
		'phpbb/console/command/fixup/update_hashes.php',
		'phpbb/console/exception_subscriber.php',
		'phpbb/content_visibility.php',
		'phpbb/cron/task/core/update_hashes.php',
		'phpbb/cron/task/text_reparser/reparser.php',
		'phpbb/datetime.php',
		'phpbb/db/extractor/postgres_extractor.php',
		'phpbb/db/migration/data/v30x/release_3_0_6_rc1.php',
		'phpbb/db/migration/data/v30x/release_3_0_8_rc1.php',
		'phpbb/db/migration/data/v310/auth_provider_oauth.php',
		'phpbb/db/migration/data/v310/contact_admin_acp_module.php',
		'phpbb/db/migration/data/v310/dev.php',
		'phpbb/db/migration/data/v310/extensions.php',
		'phpbb/db/migration/data/v310/notifications.php',
		'phpbb/db/migration/data/v310/softdelete_mcp_modules.php',
		'phpbb/db/migration/data/v310/style_update_p1.php',
		'phpbb/db/migration/data/v320/add_help_phpbb.php',
		'phpbb/db/migration/data/v320/text_reparser.php',
		'phpbb/db/migration/data/v32x/email_force_sender.php',
		'phpbb/db/migration/data/v32x/f_list_topics_permission_add.php',
		'phpbb/db/migration/data/v32x/fix_user_styles.php',
		'phpbb/db/migration/data/v32x/merge_duplicate_bbcodes.php',
		'phpbb/db/migration/data/v32x/update_prosilver_bitfield.php',
		'phpbb/db/migration/data/v32x/v321.php',
		'phpbb/db/migration/data/v32x/v322rc1.php',
		'phpbb/db/migration/tool/module.php',
		'phpbb/db/migrator.php',
		'phpbb/db/tools/mssql.php',
		'phpbb/db/tools/postgres.php',
		'phpbb/event/dispatcher.php',
		'phpbb/event/kernel_exception_subscriber.php',
		'phpbb/event/php_exporter.php',
		'phpbb/feed/helper.php',
		'phpbb/feed/quote_helper.php',
		'phpbb/feed/topics_active.php',
		'phpbb/install/helper/iohandler/ajax_iohandler.php',
		'phpbb/install/module/install_finish/task/install_extensions.php',
		'phpbb/install/module/update_filesystem/task/diff_files.php',
		'phpbb/install/module/update_filesystem/task/download_updated_files.php',
		'phpbb/install/module/update_filesystem/task/file_check.php',
		'phpbb/log/log.php',
		'phpbb/notification/manager.php',
		'phpbb/notification/method/email.php',
		'phpbb/notification/method/jabber.php',
		'phpbb/notification/method/messenger_base.php',
		'phpbb/pagination.php',
		'phpbb/path_helper.php',
		'phpbb/permissions.php',
		'phpbb/search/fulltext_mysql.php',
		'phpbb/search/fulltext_sphinx.php',
		'phpbb/session.php',
		'phpbb/template/context.php',
		'phpbb/textformatter/s9e/bbcode_merger.php',
		'phpbb/textformatter/s9e/factory.php',
		'phpbb/textformatter/s9e/parser.php',
		'phpbb/textreparser/base.php',
		'phpbb/user.php',
		'posting.php',
		'search.php',
		'styles/prosilver/style.cfg',
		'styles/prosilver/template/forumlist_body.html',
		'styles/prosilver/template/mcp_topic.html',
		'styles/prosilver/template/memberlist_email.html',
		'styles/prosilver/template/posting_attach_body.html',
		'styles/prosilver/template/search_results.html',
		'styles/prosilver/template/ucp_footer.html',
		'styles/prosilver/template/ucp_notifications.html',
		'styles/prosilver/template/ucp_pm_viewmessage_print.html',
		'styles/prosilver/template/viewforum_body.html',
		'styles/prosilver/template/viewtopic_body.html',
		'styles/prosilver/template/viewtopic_print.html',
		'styles/prosilver/theme/bidi.css',
		'styles/prosilver/theme/buttons.css',
		'styles/prosilver/theme/common.css',
		'styles/prosilver/theme/content.css',
		'styles/prosilver/theme/print.css',
		'styles/prosilver/theme/responsive.css',
		'viewforum.php',
		'viewtopic.php',
		'styles/prosilver/theme/images/announce_read.gif',
		'styles/prosilver/theme/images/announce_read_locked.gif',
		'styles/prosilver/theme/images/announce_read_locked_mine.gif',
		'styles/prosilver/theme/images/announce_read_mine.gif',
		'styles/prosilver/theme/images/announce_unread.gif',
		'styles/prosilver/theme/images/announce_unread_locked.gif',
		'styles/prosilver/theme/images/announce_unread_locked_mine.gif',
		'styles/prosilver/theme/images/announce_unread_mine.gif',
		'styles/prosilver/theme/images/forum_link.gif',
		'styles/prosilver/theme/images/forum_read.gif',
		'styles/prosilver/theme/images/forum_read_locked.gif',
		'styles/prosilver/theme/images/forum_read_subforum.gif',
		'styles/prosilver/theme/images/forum_unread.gif',
		'styles/prosilver/theme/images/forum_unread_locked.gif',
		'styles/prosilver/theme/images/forum_unread_subforum.gif',
		'styles/prosilver/theme/images/sticky_read.gif',
		'styles/prosilver/theme/images/sticky_read_locked.gif',
		'styles/prosilver/theme/images/sticky_read_locked_mine.gif',
		'styles/prosilver/theme/images/sticky_read_mine.gif',
		'styles/prosilver/theme/images/sticky_unread.gif',
		'styles/prosilver/theme/images/sticky_unread_locked.gif',
		'styles/prosilver/theme/images/sticky_unread_locked_mine.gif',
		'styles/prosilver/theme/images/sticky_unread_mine.gif',
		'styles/prosilver/theme/images/topic_moved.gif',
		'styles/prosilver/theme/images/topic_read.gif',
		'styles/prosilver/theme/images/topic_read_hot.gif',
		'styles/prosilver/theme/images/topic_read_hot_mine.gif',
		'styles/prosilver/theme/images/topic_read_locked.gif',
		'styles/prosilver/theme/images/topic_read_locked_mine.gif',
		'styles/prosilver/theme/images/topic_read_mine.gif',
		'styles/prosilver/theme/images/topic_unread.gif',
		'styles/prosilver/theme/images/topic_unread_hot.gif',
		'styles/prosilver/theme/images/topic_unread_hot_mine.gif',
		'styles/prosilver/theme/images/topic_unread_locked.gif',
		'styles/prosilver/theme/images/topic_unread_locked_mine.gif',
		'styles/prosilver/theme/images/topic_unread_mine.gif',
	),
	'binary'		=> array(
		'styles/prosilver/theme/images/announce_read.gif',
		'styles/prosilver/theme/images/announce_read_locked.gif',
		'styles/prosilver/theme/images/announce_read_locked_mine.gif',
		'styles/prosilver/theme/images/announce_read_mine.gif',
		'styles/prosilver/theme/images/announce_unread.gif',
		'styles/prosilver/theme/images/announce_unread_locked.gif',
		'styles/prosilver/theme/images/announce_unread_locked_mine.gif',
		'styles/prosilver/theme/images/announce_unread_mine.gif',
		'styles/prosilver/theme/images/forum_link.gif',
		'styles/prosilver/theme/images/forum_read.gif',
		'styles/prosilver/theme/images/forum_read_locked.gif',
		'styles/prosilver/theme/images/forum_read_subforum.gif',
		'styles/prosilver/theme/images/forum_unread.gif',
		'styles/prosilver/theme/images/forum_unread_locked.gif',
		'styles/prosilver/theme/images/forum_unread_subforum.gif',
		'styles/prosilver/theme/images/sticky_read.gif',
		'styles/prosilver/theme/images/sticky_read_locked.gif',
		'styles/prosilver/theme/images/sticky_read_locked_mine.gif',
		'styles/prosilver/theme/images/sticky_read_mine.gif',
		'styles/prosilver/theme/images/sticky_unread.gif',
		'styles/prosilver/theme/images/sticky_unread_locked.gif',
		'styles/prosilver/theme/images/sticky_unread_locked_mine.gif',
		'styles/prosilver/theme/images/sticky_unread_mine.gif',
		'styles/prosilver/theme/images/topic_moved.gif',
		'styles/prosilver/theme/images/topic_read.gif',
		'styles/prosilver/theme/images/topic_read_hot.gif',
		'styles/prosilver/theme/images/topic_read_hot_mine.gif',
		'styles/prosilver/theme/images/topic_read_locked.gif',
		'styles/prosilver/theme/images/topic_read_locked_mine.gif',
		'styles/prosilver/theme/images/topic_read_mine.gif',
		'styles/prosilver/theme/images/topic_unread.gif',
		'styles/prosilver/theme/images/topic_unread_hot.gif',
		'styles/prosilver/theme/images/topic_unread_hot_mine.gif',
		'styles/prosilver/theme/images/topic_unread_locked.gif',
		'styles/prosilver/theme/images/topic_unread_locked_mine.gif',
		'styles/prosilver/theme/images/topic_unread_mine.gif',
	),
	'deleted'		=> array(),
);
